Subject: 2/19 invoice
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 20 Apr 2001 02:24:00 -0700 (PDT)

Steve, could you check on the status of our invoice #21074601dated 2/19 for  
$  2613.61.  We received payment for our March invoice yesterday (thank you)  
and I wanted to make sure February didn' t fall between the cracks.  I am 
copying Gerald since I can't recall whether this particular bill went to you 
are to Gerald.  Thanks. - Randy